<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TorCircuit (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TorCircuit (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TorCircuit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/SelekTOR.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../client/TorController.html" title="class in client"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/TorCircuit.html" target="_top">Frames</a></li>
<li><a href="TorCircuit.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">client</div>
<h2 title="Class TorCircuit" class="title">Class TorCircuit</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>client.TorCircuit</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TorCircuit</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil <info@dazzleships.net></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#FINGER">FINGER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#NICKNAME">NICKNAME</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#TorCircuit--">TorCircuit</a></span>()</code>
<div class="block">Constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#TorCircuit-java.lang.String-">TorCircuit</a></span>(java.lang.String&nbsp;circuit)</code>
<div class="block">Constructor, Create circuit object with given circuit</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getBuildFlags--">getBuildFlags</a></span>()</code>
<div class="block">Get current circuits build flags</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getCircuit--">getCircuit</a></span>()</code>
<div class="block">Get circuit</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getExit-int-">getExit</a></span>(int&nbsp;type)</code>
<div class="block">Get Exitnode</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getExitHop--">getExitHop</a></span>()</code>
<div class="block">Get current circuits exit node</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getFromNodeHop-java.lang.String-int-">getFromNodeHop</a></span>(java.lang.String&nbsp;nodeinfo,
              int&nbsp;type)</code>
<div class="block">Get fingerprint of given node Nodeinfo is in the format of
 fingerprint~name or fingerprint=name</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getGuard-int-">getGuard</a></span>(int&nbsp;type)</code>
<div class="block">Get Guardnode finger or nick</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getGuardHop--">getGuardHop</a></span>()</code>
<div class="block">Get current circuits guard or entry node</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getHops--">getHops</a></span>()</code>
<div class="block">Get circuit hops</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getID--">getID</a></span>()</code>
<div class="block">Get current circuit ID</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getMiddleHop--">getMiddleHop</a></span>()</code>
<div class="block">Get current circuits middle node if any, returns exit node for a two hop
 circuit</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getMiddleMan-int-">getMiddleMan</a></span>(int&nbsp;type)</code>
<div class="block">Get Middleman</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getPurpose--">getPurpose</a></span>()</code>
<div class="block">Get current circuits purpose</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Get current circuit status</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#getTimestamp--">getTimestamp</a></span>()</code>
<div class="block">Get current circuits timestamp</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#setCircuit-java.lang.String-">setCircuit</a></span>(java.lang.String&nbsp;circuit)</code>
<div class="block">Set circuit to supplied circuit</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorCircuit.html#setHops-java.lang.String-">setHops</a></span>(java.lang.String&nbsp;hops)</code>
<div class="block">Set hops</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="FINGER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FINGER</h4>
<pre>public static final&nbsp;int FINGER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorCircuit.FINGER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NICKNAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NICKNAME</h4>
<pre>public static final&nbsp;int NICKNAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorCircuit.NICKNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TorCircuit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TorCircuit</h4>
<pre>public&nbsp;TorCircuit()</pre>
<div class="block">Constructor</div>
</li>
</ul>
<a name="TorCircuit-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TorCircuit</h4>
<pre>public&nbsp;TorCircuit(java.lang.String&nbsp;circuit)</pre>
<div class="block">Constructor, Create circuit object with given circuit</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>circuit</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setCircuit-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCircuit</h4>
<pre>public&nbsp;void&nbsp;setCircuit(java.lang.String&nbsp;circuit)</pre>
<div class="block">Set circuit to supplied circuit</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>circuit</code> - </dd>
</dl>
</li>
</ul>
<a name="getCircuit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCircuit</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCircuit()</pre>
<div class="block">Get circuit</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>circuit as string</dd>
</dl>
</li>
</ul>
<a name="setHops-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHops</h4>
<pre>public&nbsp;void&nbsp;setHops(java.lang.String&nbsp;hops)</pre>
<div class="block">Set hops</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hops</code> - </dd>
</dl>
</li>
</ul>
<a name="getID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getID</h4>
<pre>public&nbsp;java.lang.String&nbsp;getID()</pre>
<div class="block">Get current circuit ID</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ID as string</dd>
</dl>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;java.lang.String&nbsp;getStatus()</pre>
<div class="block">Get current circuit status</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>status as string</dd>
</dl>
</li>
</ul>
<a name="getBuildFlags--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildFlags</h4>
<pre>public&nbsp;java.lang.String&nbsp;getBuildFlags()</pre>
<div class="block">Get current circuits build flags</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>build flags as string</dd>
</dl>
</li>
</ul>
<a name="getPurpose--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPurpose</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPurpose()</pre>
<div class="block">Get current circuits purpose</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>purpose as string</dd>
</dl>
</li>
</ul>
<a name="getTimestamp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimestamp</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTimestamp()</pre>
<div class="block">Get current circuits timestamp</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>timestamp as string</dd>
</dl>
</li>
</ul>
<a name="getHops--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHops</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHops()</pre>
<div class="block">Get circuit hops</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>circuit hops as string</dd>
</dl>
</li>
</ul>
<a name="getGuardHop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGuardHop</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGuardHop()</pre>
<div class="block">Get current circuits guard or entry node</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>guard node as string</dd>
</dl>
</li>
</ul>
<a name="getMiddleHop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMiddleHop</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMiddleHop()</pre>
<div class="block">Get current circuits middle node if any, returns exit node for a two hop
 circuit</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>middleman node as string</dd>
</dl>
</li>
</ul>
<a name="getExitHop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExitHop</h4>
<pre>public&nbsp;java.lang.String&nbsp;getExitHop()</pre>
<div class="block">Get current circuits exit node</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>exit node as string</dd>
</dl>
</li>
</ul>
<a name="getGuard-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGuard</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGuard(int&nbsp;type)</pre>
<div class="block">Get Guardnode finger or nick</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - 0 = finger, 1 = nick</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fingerprint as string</dd>
</dl>
</li>
</ul>
<a name="getMiddleMan-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMiddleMan</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMiddleMan(int&nbsp;type)</pre>
<div class="block">Get Middleman</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - 0 = finger, 1 = nick</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fingerprint as string</dd>
</dl>
</li>
</ul>
<a name="getExit-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExit</h4>
<pre>public&nbsp;java.lang.String&nbsp;getExit(int&nbsp;type)</pre>
<div class="block">Get Exitnode</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - 0 = finger, 1 = nick</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fingerprint as string</dd>
</dl>
</li>
</ul>
<a name="getFromNodeHop-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFromNodeHop</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getFromNodeHop(java.lang.String&nbsp;nodeinfo,
                                              int&nbsp;type)</pre>
<div class="block">Get fingerprint of given node Nodeinfo is in the format of
 fingerprint~name or fingerprint=name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nodeinfo</code> - </dd>
<dd><code>type</code> - 0 = finger, 1 = nickname</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fingerprint as string</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TorCircuit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/SelekTOR.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../client/TorController.html" title="class in client"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/TorCircuit.html" target="_top">Frames</a></li>
<li><a href="TorCircuit.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
